Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class ReceiptConverterC

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV2.ReceiptConverterC

    public class ReceiptConverterC
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `ReceiptConverterC.BCType` |
  `static interface` | `ReceiptConverterC.OnConvertCompletedListener` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReceiptConverterC()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `ConvertEjReceipt​(java.lang.String fmNumber, int docNumber, javax.swing.ImageIcon logoImg, java.lang.String imageFileName)` |
  `void` | `registerConvertCompletedListener​(ReceiptConverterC.OnConvertCompletedListener mListener)` |
  `void` | `setBarcodeFormat​(ReceiptConverterC.BCType barcodeFormat)` |
  `void` | `setBarcodeHeight​(int barcodeHeight)` |
  `void` | `setBarcodeWidth​(int barcodeWidth)` |
  `void` | `setBoldTextFontSize​(int boldTextFontSize)` |
  `void` | `setOutImageFormat​(java.lang.String outImageFormat)` |
  `void` | `setQRsize​(int QRsize)` |
  `void` | `setReceiptMargin​(java.awt.Insets receiptMargin)` |
  `void` | `setRegularFontSize​(int regularFontSize)` |
  `void` | `setTextFont​(java.lang.String textFont)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReceiptConverterC

    public ReceiptConverterC()

- ## Method Details

  - ### setQRsize

    public void setQRsize​(int QRsize)

  - ### setReceiptMargin

    public void setReceiptMargin​(java.awt.Insets receiptMargin)

  - ### setBarcodeHeight

    public void setBarcodeHeight​(int barcodeHeight)
    Parameters:
      `barcodeHeight` -

  - ### setBarcodeWidth

    public void setBarcodeWidth​(int barcodeWidth)
    Parameters:
      `barcodeWidth` -

  - ### setOutImageFormat

    public void setOutImageFormat​(java.lang.String outImageFormat)
    Parameters:
      `outImageFormat` -

  - ### setRegularFontSize

    public void setRegularFontSize​(int regularFontSize)
    Parameters:
      `regularFontSize` -

  - ### setBoldTextFontSize

    public void setBoldTextFontSize​(int boldTextFontSize)
    Parameters:
      `boldTextFontSize` -

  - ### setTextFont

    public void setTextFont​(java.lang.String textFont)
    Parameters:
      `textFont` -

  - ### registerConvertCompletedListener

    public void registerConvertCompletedListener​(ReceiptConverterC.OnConvertCompletedListener mListener)

  - ### ConvertEjReceipt

    public void ConvertEjReceipt​(java.lang.String fmNumber, int docNumber, javax.swing.ImageIcon logoImg, java.lang.String imageFileName)
    Parameters:
      `fmNumber` -
      `docNumber` -
      `logoImg` -
      `imageFileName` -

  - ### setBarcodeFormat

    public void setBarcodeFormat​(ReceiptConverterC.BCType barcodeFormat) throws java.lang.Exception
    Parameters:
      `barcodeFormat` -
    Throws:
      `java.lang.Exception`